Parallax

Bootstrap 5 Parallax plugin

Parallax is a plugin that adds scrolling effect animation for your images.

Responsive Parallax plugin built with the latest Bootstrap 5. Many customization examples of scrolling effect images animation like scroll delay, scroll direction.

Note: Read the API tab to find all available options and advanced customization

Note: Currently, the plugin is only compatible with the basic MDB package imported in UMD format. More about import MDB formats.


Basic example

To initialize Parallax effect simply add data-mdb-parallax-init attribute to any element and provide data-mdb-image-src attribute with path to your image.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/3.webp" ></div>
        
        
    

Direction

Change parallax scroll direction with data-mdb-direction attribute.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp" data-mdb-direction="right"></div>
        
        
    

Combine horizontal and vertical directions.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp" data-mdb-direction="up right"></div>
        
        
    

Delay

Change delay of the scroll with data-mdb-delay attribute.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp" data-mdb-delay="2"></div>
        
        
    

Scale

Change scale of the image with data-mdb-scale attribute.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp" data-mdb-scale="1.8"></div>
        
        
    

Scroll transition

Change default scroll transition timing function with data-mdb-transition attribute.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp" data-mdb-transition="linear"></div>
        
        
    

Max transition

Change maximum scroll value of the image with data-mdb-max-transition attribute. Provide value within the 0-100 range.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp" data-mdb-max-transition="60"></div>
        
        
    

Max image height

Set maximal parallax container height with data-mdb-max-height attribute.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp" data-mdb-max-height="400"></div>
        
        
    

Image alignment

Horizontal and vertical alignment of the image is set to center by default. Change horizontal alignment with data-mdb-horizontal-alignment and vertical with data-mdb-vertical-alignment (vertical alignment will only work with data-mdb-max-height set).

Image horizontally aligned.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp" data-mdb-horizontal-alignment="left"></div>
        
        
    

Image vertically aligned.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp"
            data-mdb-max-height="500" data-mdb-vertical-alignment="top"></div>
          
        
    

Container overflow

Make parallax overflow its container with data-mdb-overflow attribute.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/new/slides/041.webp" data-mdb-overflow="true" data-mdb-direction="right"></div>
        
        
    

Parallax with content

Place any content inside the parallax by adding div with class parallax-content and your content inside parallax container.

Parallax content

Some quick example text to show you possibilities of the parallax element.

        
            
          <div data-mdb-parallax-init data-mdb-image-src="https://mdbcdn.b-cdn.net/img/Photos/Slides/4.webp">
            <div class="parallax-content" >
              <div class="container d-flex justify-content-center align-items-center" style="height: 100%">
                <div class="card">
                  <div class="card-body">
                    <h5 class="card-title">Card title</h5>
                    <p class="card-text">
                      Some quick example text to show you possibilities of the parallax element.
                    </p>
                    <button type="button" class="btn btn-primary" data-mdb-ripple-init>Button</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        
        
    

24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

Parallax - API


Import

        
            
          import Parallax from 'mdb-parallax';
        
        
    
        
            
          @import '~mdb-parallax/css/parallax.min.css';
        
        
    

Usage

Via data attributes

Using the Parallax plugin doesn't require any additional JavaScript code - simply add data-mdb-parallax-init attribute to any element and use other data attributes to set all options.

        
            
        <div data-mdb-parallax-init data-mdb-image-src="https://mdbootstrap.com/img/Photos/Slides/4.webp"></div>
      
        
    

Via JavaScript

        
            
            <div id="parallax" data-mdb-image-src="https://mdbootstrap.com/img/Photos/Slides/4.webp"></div>
          
        
    
        
            
            const parallaxExample = document.getElementById('parallax');
            new Parallax(parallaxExample)
          
        
    

Options

Options can be passed via data attributes or JavaScript. For data attributes, append the option name to data-mdb-, as in data-mdb-image-src="".

Name Type Default Description
imageSrc String '' Sets image source for parallax component. Obligatory to instantiate the component.
direction String 'up' Sets direction in which the image will be translated when scrolling down the page. Possible settings: up, right, down, left, up left, up right, down left, down left, left right.
delay Number 0.4 Sets the time in seconds in which translation of the image will still be going after the user stops scrolling.
scale Number 1.3 Sets scale of the image. The higher the scale is set, the bigger parallax scroll effect will be visible, but the image will lose in quality. To keep the image quality choose higher resolution images or limit the height of the parallax container with data-mdb-max-height attribute.
transition String 'cubic-bezier(0,0,0,1)' Sets transition timing function for parallax scroll effect. Can receive timing functions such as ease, linear, cubic-bezier.
maxTransition Number 0 When data-mdb-max-transition is set, parallax animation will stop after given percentage of user viewport is scrolled.
maxHeight Number 0 Sets maximal height of the parallax container.
horizontalAlignment String 'center' Determines which horizontal part of the image will be more visible during the parallax effect. Possible settings: right, left, center
verticalAlignment String 'center' Determines which vertical part of the image will be more visible during the parallax effect. Works only when data-mdb-max-height is set. Possible settings: top, bottom, center.
overflow Boolean false When set to true, the parallax image will translate out of its container and will overlap content on the page.

Methods

Name Parameters Description Example
dispose Removes the Parallax instance. instance.dispose()
getInstance element Static method which allows to get the parallax instance associated with a DOM element. Parallax.getInstance(element)
init element Static method which allows to create Parallax instance from element dynamically added to DOM Parallax.init(element)
        
            
        const parallaxElement = document.getElementById('my-parallax-container');
        const instance = Parallax.getInstance(parallaxElement);
        instance.dispose();

Parallax

Vue Bootstrap 5 Parallax plugin

Parallax is a plugin that adds scrolling effect animation for your images.

Responsive Parallax plugin built with the latest Bootstrap 5. Many customization examples of scrolling effect images animation like scroll delay, scroll direction.

Note: Read the API tab to find all available options and advanced customization


Basic example

To initialize Parallax effect simply use MDBParallax component and provide src property with path to your image

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/Photos/Slides/3.webp" />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Direction

Change parallax scroll direction with direction property

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/Photos/Slides/4.webp" direction="right" />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Combine horizontal and vertical directions

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/Photos/Slides/4.webp" direction="up right" />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Delay

Change delay of the scroll with delay property

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/Photos/Slides/4.webp" :delay="2" />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Scale

Change scale of the image with scale property

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/Photos/Slides/4.webp" :scale="1.8" />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Scroll transition

Change default scroll transition timing function with transition

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/Photos/Slides/4.webp" transition="linear" />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Max transition

Change maximum scroll value of the image with maxTransition property. Give values within 0-100 range

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/Photos/Slides/4.webp" :maxTransition="60" />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Max image height

Set maximal parallax container height with maxHeight

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/Photos/Slides/4.webp" :maxHeight="400" />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Image alignment

Horizontal and vertical alignment of the image is set to center by default. Change horizontal alignment with alignHorizontal and vertical with alignVertical (vertical alignment will only work with maxHeight property set)

Image horizontally aligned

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/Photos/Slides/4.webp" alignHorizontal="left" />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Image vertically aligned

        
            
            <template>
              <MDBParallax
                src="https://mdbootstrap.com/img/Photos/Slides/4.webp"
                :maxHeight="500"
                alignVertical="top"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Container overflow

Make parallax overflow its container with overflow<

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/new/slides/041.webp"
                overflow
                direction="right"
                aligHorizontal="left"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';

              export default {
                components: {
                  MDBParallax
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
            </script>
          
        
    

Parallax with content

Place any content inside the parallax. MDBParallax is a position: relative container so remember to style your content accordingly

Parallax content

Some quick example text to show you possibilites of the parallax element.

        
            
            <template>
              <MDBParallax src="https://mdbootstrap.com/img/Photos/Slides/4.webp">
                <MDBContainer class="d-flex justify-content-center align-items-center" style="height: 100%">
                  <MDBCard>
                    <MDBCardBody>
                      <MDBCardTitle>Parallax content</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to show you possibilites of the
                        parallax element.
                      </MDBCardText>
                      <MDBBtn color="primary"> Button </MDBBtn>
                    </MDBCardBody>
                  </MDBCard>
                </MDBContainer>
              </MDBParallax>
            </template>
          
        
    
        
            
            <script>
              import { MDBParallax } from 'mdb-vue-parallax';
              import { MDBContainer, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBParallax,
                  MDBContainer,
                  MDBCard,
                  MDBCardBody,
                  MDBCardTitle,
                  MDBCardText,
                  MDBBtn
                }
              };      
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBParallax } from 'mdb-vue-parallax';
              import { MDBContainer, MDBCard, MDBCardBody, MDBCardTitle, MDBCardText, MDBBtn } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Parallax - API


Import

        
            
      <script>
        import {
          MDBParallax
        } from "mdb-vue-parallax";
      </script>
      
        
    

Properties

Name Type Default Description
alignHorizontal String 'center' Determines which horizontal part of the image will be more visible during the parallax effect. Possible settings: right | left | center
alignVertical String 'center' Determines which vertical part of the image will be more visible during the parallax effect. Works only when data-mdb-max-height is set. Possible settings: top | bottom | center
delay Number 0.4 Sets the time in seconds in which translation of the image will still be going after the user stops scrolling.
direction String 'up' Sets direction in which the image will be translated when scrolling down the page. Possible settings: up | right | down | left | up left | up right | down left | left right.
maxHeight Number 0 Sets maximal height of the parallax container.
maxTransition Number 0 When maxTransition is set, parallax animation will stop after given percentage of user viewport is scrolled.
overflow Boolean false When set to true, the parallax image will translate out of its container and will overlap content on the page.
scale Number 1.3 Sets scale of the image. The higher the scale is set, the bigger parallax scroll effect will be visible, but the image will lose in quality. To keep the image quality choose higher resolution images or limit the height of the parallax container with maxHeight attribute.
src String ' Sets image source for parallax component. Obligatory to instantiate the component.
transition String 'cubic-bezier(0,0,0,1)' Sets transition timing function for parallax scroll efect. Can receive timing functions such 'ease', 'linear', 'cubic-bezier'.

React Parallax

React Parallax - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Overview


Bootstrap parallax is a design effect visible while scrolling down - background image is moving with a different speed than the foreground content.


Required external library

Since MDBReact 4.25.0 version this functionality requires the installation of an external library - jarallax.

To make the Parallax component easier to use after changes, we've created a special component MDBParallaxWrapper that you should copy into your project and use it exactly as the Parallax component before version 4.25.0.

Install it with the following command, then configure it as follows:

  1. npm install jarallax --save
  2. Create MDBParallaxWrapper component into your project folder and paste code from below.
  3. Add MDBParallaxWrapper import to page where you want to use MDBParallax
  4. Use exactly the same like MDBParallax component before 4.25.0 version.

MDBParallaxWrapper component:

Please create new component and phase to it a code below.

        
            
            import React, { Component } from 'react';
            import PropTypes from 'prop-types';
            import { jarallax, jarallaxVideo, jarallaxElement } from 'jarallax';
            import { MDBParallax } from 'mdbreact';
  
            class MDBParallaxWrapper extends Component {
              jarallax = React.createRef();
  
              componentDidMount() {
                const {
                  image,
                  video,
                  element,
                  elementOptions,
                  disableParallax,
                  disableVideo,
                  disableVideoLazyLoading,
                  disableVideoLoop,
                  disableVideoPlayOnlyVisible,
                  elementInViewport,
                  imgElement,
                  imgPosition,
                  imgRepeat,
                  imgSize,
                  imgSrc,
                  videoEndTime,
                  videoStartTime,
                  videoVolume,
                  zIndex
                } = this.props;
  
                const imageOptions = {
                  disableParallax,
                  elementInViewport,
                  imgElement,
                  imgPosition,
                  imgRepeat,
                  imgSize,
                  imgSrc,
                  zIndex
                };
  
                const videoOptions = {
                  disableVideo,
                  videoEndTime,
                  videoLazyLoading: !disableVideoLazyLoading,
                  videoLoop: !disableVideoLoop,
                  videoPlayOnlyVisible: !disableVideoPlayOnlyVisible,
                  videoStartTime,
                  videoVolume
                };
  
                jarallax(
                  this.jarallax.current,
                  image
                    ? imageOptions
                    : video
                    ? videoOptions
                    : element
                    ? elementOptions
                    : null
                );
  
                jarallaxVideo(this.jarallax.current);
                jarallaxElement(this.jarallax.current);
              }
  
              componentWillUnmount() {
                jarallax(this.jarallax.current, 'destroy');
              }
  
              render() {
                const {
                  alt,
                  children,
                  className,
                  element,
                  image,
                  keepImg,
                  speed,
                  tag: Tag,
                  threshold,
                  type,
                  video,
                  height,
                  width,
                  ...attributes
                } = this.props;
  
                return (
                  <MDBParallax
                    alt={alt}
                    className={className}
                    element={element}
                    height={height}
                    image={image}
                    keepImg={keepImg}
                    ref={this.jarallax}
                    speed={speed}
                    tag={Tag}
                    threshold={threshold}
                    type={type}
                    video={video}
                    width={width}
                    {...attributes}
                  >
                    {children}
                  </MDBParallax>
                );
              }
            }
  
            MDBParallaxWrapper.propTypes = {
              alt: PropTypes.string.isRequired,
              className: PropTypes.string,
              disableParallax: PropTypes.func,
              disableVideo: PropTypes.func,
              elementInViewport: PropTypes.node,
              height: PropTypes.string,
              image: PropTypes.string,
              imgElement: PropTypes.string,
              imgPosition: PropTypes.string,
              imgRepeat: PropTypes.string,
              imgSize: PropTypes.string,
              keepImg: PropTypes.bool,
              speed: PropTypes.oneOfType([PropTypes.node, PropTypes.string]),
              tag: PropTypes.oneOfType([PropTypes.func, PropTypes.string]),
              threshold: PropTypes.node,
              type: PropTypes.string,
              video: PropTypes.string,
              videoEndTime: PropTypes.number,
              videoLazyLoading: PropTypes.bool,
              videoLoop: PropTypes.bool,
              videoPlayOnlyVisible: PropTypes.bool,
              videoStartTime: PropTypes.number,
              videoVolume: PropTypes.number,
              width: PropTypes.string,
              zIndex: PropTypes.number
            };
  
            MDBParallaxWrapper.defaultProps = {
              alt: 'MDBParallax image',
              disableParallax: null,
              disableVideo: null,
              elementInViewport: null,
              height: '600px',
              imgElement: '.jarallax-img',
              imgPosition: '50% 50%',
              imgRepeat: 'no-repeat',
              imgSize: 'cover',
              keepImg: false,
              speed: 0.5,
              tag: 'div',
              threshold: 'null null',
              type: 'scroll',
              videoEndTime: 0,
              videoLazyLoading: true,
              videoLoop: true,
              videoPlayOnlyVisible: true,
              videoStartTime: 0,
              videoVolume: 0,
              width: '100%',
              zIndex: -100
            };
  
            export default MDBParallaxWrapper;
          
        
    

ParallaxWrapper import.

Please import MDBParallaxWrapper component to file where you want to use MDBParallax.

        
            
              import MDBParallaxWrapper from './MDBParallaxWrapper';
            
        
    

Basic structure

        
            
  
              import React, { Component } from 'react';
              import MDBParallaxWrapper from './MDBParallaxWrapper';
  
              class Parallax extends Component {
                render() {
                  return (
                    <>
                      <div style={{ height: '60vh' }}></div>
                        <MDBParallaxWrapper
                          image='https://mdbootstrap.com/img/Photos/Others/img%20%2844%29.webp'
                          speed='0.8'
                        />
                      <div style={{ height: '60vh' }}></div>
                    </>
                  );
                }
              }
  
              export default Parallax;
          
        
    

Different types of parallax effects.

You can use one of 5 different parallax effects including : scroll, scale, opacity, scroll-opacity, scale-opacity

        
            
            import React, { Component } from 'react';
            import MDBParallaxWrapper from './MDBParallaxWrapper';
  
            class Parallax extends Component {
              render() {
                return (
                  <>
                    <div className='container'>
                      <div className='row'>
                        <div className='col-md-12 text-center'>
                          <h2 className='h1 font-weight-bold my-5 py-4'>
                            Different MDBParallax effects
                          </h2>
                        </div>
                      </div>
                    </div>
  
                    <MDBParallaxWrapper
                      image='https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(19).webp'
                      speed={0.5}
                      height='50vh'
                      type='scale'
                    />
                    <MDBParallaxWrapper
                      image='https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(18).webp'
                      speed={2}
                      height='50vh'
                      type='opacity'
                    />
                    <MDBParallaxWrapper
                      image='https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(20).webp'
                      speed={0.2}
                      height='50vh'
                      type='scroll-opacity'
                    />
                    <MDBParallaxWrapper
                      image='https://mdbootstrap.com/img/Photos/Horizontal/Nature/12-col/img%20(57).webp'
                      speed={0.2}
                      height='50vh'
                      type='scale-opacity'
                    />
                  </>
                );
              }
            }
  
            export default Parallax;
          
        
    

Parallax with video props.

Background Video Usage Example. For local videos required only 1 video type, not necessary use all mp4, webm and ogv. This need only for maximum compatibility with all browsers.

        
            
              import React, { Component } from 'react';
              import MDBParallaxWrapper from './MDBParallaxWrapper';
  
              class Parallax extends Component {
                render() {
                  return (
                    <>
                      <div className='container'>
                        <div className='row my-5 py-4'>
                          <div className='col-md-12 text-center'>
                            <MDBParallax
                              image='https://mdbootstrap.com/img/Photos/Others/img%20%2844%29.webp'
                              speed='0.8'
                            />
                            <p align='justify'>
                              Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis
                              commodi porro, cumque provident rem corporis odit, ut quas
                              dolores maxime nesciunt possimus quis, soluta velit debitis
                              amet, veritatis cupiditate reprehenderit.Lorem ipsum dolor sit
                              amet, consectetur quis elit. Perspiciatis commodi porro, cumque
                              provident rem corporis odit, ut quas dolores maxime nesciunt
                              possimus quis, soluta velit debitis amet, veritatis cupiditate
                              reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                              Perspiciatis commodi porro, cumque provident rem corporis odit,
                              ut quas dolores maxime nesciunt possimus quis, soluta velit
                              debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                              dolor sit amet, consectetur quis elit. Perspiciatis commodi
                              porro, cumque provident rem corporis odit, ut quas dolores
                              maxime nesciunt possimus quis, soluta velit debitis amet,
                              veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                              consectetur quis elit. Perspiciatis commodi porro, cumque
                              provident rem corporis odit, ut quas dolores maxime nesciunt
                              possimus quis, soluta velit debitis amet, veritatis cupiditate
                              reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                              Perspiciatis commodi porro, cumque provident rem corporis odit,
                              ut quas dolores maxime nesciunt possimus quis, soluta velit
                              debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                              dolor sit amet, consectetur quis elit. Perspiciatis commodi
                              porro, cumque provident rem corporis odit, ut quas dolores
                              maxime nesciunt possimus quis, soluta velit debitis amet,
                              veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                              consectetur quis elit. Perspiciatis commodi porro, cumque
                              provident rem corporis odit, ut quas dolores maxime.
                            </p>
                          </div>
                        </div>
                      </div>
                      <MDBParallaxWrapper
                        video='https://player.vimeo.com/video/137857207'
                        type='scroll-opacity'
                        speed='0.1'
                        disableVideoLazyLoading
                      />
                      <MDBParallaxWrapper
                        className='jarallax'
                        video='https://youtu.be/lugard7P0nw'
                        disableVideoLazyLoading
                      />
                      <div className='container'>
                        <div className='row my-5 py-4'>
                          <div className='col-md-12 text-center'>
                            <p align='justify'>
                              Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis
                              commodi porro, cumque provident rem corporis odit, ut quas
                              dolores maxime nesciunt possimus quis, soluta velit debitis
                              amet, veritatis cupiditate reprehenderit.Lorem ipsum dolor sit
                              amet, consectetur quis elit. Perspiciatis commodi porro, cumque
                              provident rem corporis odit, ut quas dolores maxime nesciunt
                              possimus quis, soluta velit debitis amet, veritatis cupiditate
                              reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                              Perspiciatis commodi porro, cumque provident rem corporis odit,
                              ut quas dolores maxime nesciunt possimus quis, soluta velit
                              debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                              dolor sit amet, consectetur quis elit. Perspiciatis commodi
                              porro, cumque provident rem corporis odit, ut quas dolores
                              maxime nesciunt possimus quis, soluta velit debitis amet,
                              veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                              consectetur quis elit. Perspiciatis commodi porro, cumque
                              provident rem corporis odit, ut quas dolores maxime nesciunt
                              possimus quis, soluta velit debitis amet, veritatis cupiditate
                              reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                              Perspiciatis commodi porro, cumque provident rem corporis odit,
                              ut quas dolores maxime nesciunt possimus quis, soluta velit
                              debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                              dolor sit amet, consectetur quis elit. Perspiciatis commodi
                              porro, cumque provident rem corporis odit, ut quas dolores
                              maxime nesciunt possimus quis, soluta velit debitis amet,
                              veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                              consectetur quis elit. Perspiciatis commodi porro, cumque
                              provident rem corporis odit, ut quas dolores maxime.
                            </p>
                            <div style={{ height: '60vh' }}></div>
                          </div>
                        </div>
                      </div>
                    </>
                  );
                }
              }
  
              export default Parallax;
          
        
    

Any Element Parallax Usage Example

element props allows you to use parallax component in any type of element.

Note: this is more like experimental feature, so the behavior could be changed in the future releases.

        
            
  
                import React, { Component } from 'react';
                import MDBParallaxWrapper from './MDBParallaxWrapper';
  
                class Parallax extends Component {
                  render() {
                    return (
                      <>
                        <div className='container'>
                          <div className='row my-5 py-4'>
                            <div className='col-md-12 text-center'>
                              <p align='justify'>
                                Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis
                                commodi porro, cumque provident rem corporis odit, ut quas
                                dolores maxime nesciunt possimus quis, soluta velit debitis
                                amet, veritatis cupiditate reprehenderit.Lorem ipsum dolor sit
                                amet, consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime nesciunt
                                possimus quis, soluta velit debitis amet, veritatis cupiditate
                                reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                                Perspiciatis commodi porro, cumque provident rem corporis odit,
                                ut quas dolores maxime nesciunt possimus quis, soluta velit
                                debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                                dolor sit amet, consectetur quis elit. Perspiciatis commodi
                                porro, cumque provident rem corporis odit, ut quas dolores
                                maxime nesciunt possimus quis, soluta velit debitis amet,
                                veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                                consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime nesciunt
                                possimus quis, soluta velit debitis amet, veritatis cupiditate
                                reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                                Perspiciatis commodi porro, cumque provident rem corporis odit,
                                ut quas dolores maxime nesciunt possimus quis, soluta velit
                                debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                                dolor sit amet, consectetur quis elit. Perspiciatis commodi
                                porro, cumque provident rem corporis odit, ut quas dolores
                                maxime nesciunt possimus quis, soluta velit debitis amet,
                                veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                                consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime.
                              </p>
                              <p className='mb-0' align='justify'>
                                Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis
                                commodi porro, cumque provident rem corporis odit, ut quas
                                dolores maxime nesciunt possimus quis, soluta velit debitis
                                amet, veritatis cupiditate reprehenderit.Lorem ipsum dolor sit
                                amet, consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime nesciunt
                                possimus quis, soluta velit debitis amet, veritatis cupiditate
                                reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                                Perspiciatis commodi porro, cumque provident rem corporis odit,
                                ut quas dolores maxime nesciunt possimus quis, soluta velit
                                debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                                dolor sit amet, consectetur quis elit. Perspiciatis commodi
                                porro, cumque provident rem corporis odit, ut quas dolores
                                maxime nesciunt possimus quis, soluta velit debitis amet,
                                veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                                consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime nesciunt
                                possimus quis, soluta velit debitis amet, veritatis cupiditate
                                reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                                Perspiciatis commodi porro, cumque provident rem corporis odit,
                                ut quas dolores maxime nesciunt possimus quis, soluta velit
                                debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                                dolor sit amet, consectetur quis elit. Perspiciatis commodi
                                porro, cumque provident rem corporis odit, ut quas dolores
                                maxime nesciunt possimus quis, soluta velit debitis amet,
                                veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                                consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime.
                              </p>
                            </div>
                          </div>
                        </div>
  
                        <div className='container'>
                          <div className='row'>
                            <div className='col-md-12 text-center overflow-hidden'>
                              <h2 className='h1 font-weight-bold cyan-text my-5 py-4'>
                                <MDBParallaxWrapper tag='span' speed='0' element>
                                  P
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='80' element>
                                  a
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='-30' element>
                                  r
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='180' element>
                                  a
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='-50' element>
                                  l
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='120' element>
                                  l
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='-25' element>
                                  a
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='60' element>
                                  x
                                </MDBParallaxWrapper>
                                &nbsp;
                                <MDBParallaxWrapper tag='span' speed='-50' element>
                                  E
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='110' element>
                                  l
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='-160' element>
                                  e
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='60' element>
                                  m
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='-240' element>
                                  e
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='30' element>
                                  n
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='-170' element>
                                  t
                                </MDBParallaxWrapper>
                                <MDBParallaxWrapper tag='span' speed='0' element>
                                  s
                                </MDBParallaxWrapper>
                              </h2>
                            </div>
                          </div>
                        </div>
  
                        <div className='container'>
                          <div className='row my-5 py-4'>
                            <div className='col-md-12 text-center'>
                              <p align='justify'>
                                Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis
                                commodi porro, cumque provident rem corporis odit, ut quas
                                dolores maxime nesciunt possimus quis, soluta velit debitis
                                amet, veritatis cupiditate reprehenderit.Lorem ipsum dolor sit
                                amet, consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime nesciunt
                                possimus quis, soluta velit debitis amet, veritatis cupiditate
                                reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                                Perspiciatis commodi porro, cumque provident rem corporis odit,
                                ut quas dolores maxime nesciunt possimus quis, soluta velit
                                debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                                dolor sit amet, consectetur quis elit. Perspiciatis commodi
                                porro, cumque provident rem corporis odit, ut quas dolores
                                maxime nesciunt possimus quis, soluta velit debitis amet,
                                veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                                consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime nesciunt
                                possimus quis, soluta velit debitis amet, veritatis cupiditate
                                reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                                Perspiciatis commodi porro, cumque provident rem corporis odit,
                                ut quas dolores maxime nesciunt possimus quis, soluta velit
                                debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                                dolor sit amet, consectetur quis elit. Perspiciatis commodi
                                porro, cumque provident rem corporis odit, ut quas dolores
                                maxime nesciunt possimus quis, soluta velit debitis amet,
                                veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                                consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime.
                              </p>
                              <p className='mb-0' align='justify'>
                                Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis
                                commodi porro, cumque provident rem corporis odit, ut quas
                                dolores maxime nesciunt possimus quis, soluta velit debitis
                                amet, veritatis cupiditate reprehenderit.Lorem ipsum dolor sit
                                amet, consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime nesciunt
                                possimus quis, soluta velit debitis amet, veritatis cupiditate
                                reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                                Perspiciatis commodi porro, cumque provident rem corporis odit,
                                ut quas dolores maxime nesciunt possimus quis, soluta velit
                                debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                                dolor sit amet, consectetur quis elit. Perspiciatis commodi
                                porro, cumque provident rem corporis odit, ut quas dolores
                                maxime nesciunt possimus quis, soluta velit debitis amet,
                                veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                                consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime nesciunt
                                possimus quis, soluta velit debitis amet, veritatis cupiditate
                                reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit.
                                Perspiciatis commodi porro, cumque provident rem corporis odit,
                                ut quas dolores maxime nesciunt possimus quis, soluta velit
                                debitis amet, veritatis cupiditate reprehenderit.Lorem ipsum
                                dolor sit amet, consectetur quis elit. Perspiciatis commodi
                                porro, cumque provident rem corporis odit, ut quas dolores
                                maxime nesciunt possimus quis, soluta velit debitis amet,
                                veritatis cupiditate reprehenderit.Lorem ipsum dolor sit amet,
                                consectetur quis elit. Perspiciatis commodi porro, cumque
                                provident rem corporis odit, ut quas dolores maxime.
                              </p>
                            </div>
                          </div>
                        </div>
                      </>
                    );
                  }
                }
  
                export default Parallax;
            
        
    

React Parallax - API

In this section you will find advanced information about the Parallax component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
          import { MDBParallax } from 'mdbreact';
        
        
    

API Reference: Parallax properties

The table below shows the configuration options of the MDBParallax component.

Name Type Default Description Example
alt String 'MDBParallax image' Required props - set image alt <MDBParallax alt='MDB Parallax Image' />
className String Adds custom classes <MDBParallax className="customClass" />
height String 600px Changes height of parallax container <MDBParallax height="100vh" />
image String Set url of Parallax image and. One of required props. <MDBParallax image='http://yourLink.com/img' />
imgElement String .jarallax-img Image tag that will be used as background. <MDBParallax imgElement='.your-selector' />
imgPosition String 50% 50% Image position inside of container. <MDBParallax imgPosition='100px 100px' />
imgRepeat String no-repeat Image repeat. Supported only object-position values. <MDBParallax imgRepeat='repeat' />
imgSize String cover Image coverage of container. <MDBParallax imgSize='contain' />
keepImg Boolean false Keep paralax element in it's default place after Jarallax inited. <MDBParallax keepImg={true} />
speed mixed (string / number) 0.5 Parallax effect speed. Provide numbers from -1.0 to 2.0. <MDBParallax speed='1.1' />
tag String div Set tag of parallax container <MDBParallax tag='span' />
threshold mixed (string / number) null null Specify threshold for the parallax effect to kick in. For example, if you pass 0 0, the element will start to move only after it has been scrolled to the middle of the viewport. <MDBParallax threshold='0 0' />
type String scroll Sets parallax effect. You can use one of five types: scroll, scale, opacity, scroll-opacity, scale-opacity. <MDBParallax type='scroll-opacity' />
videoEndTime Number 0 End time in seconds when video will be ended. <MDBParallax videoEndTime={0} />
disableVideoLazyLoading Boolean false Preload videos only when it is visible on the screen. <MDBParallax disableVideoLazyLoading />
disableVideoLoop Boolean false Loop video to play infinitely. <MDBParallax disableVideoLoop />
disableVideoPlayOnlyVisible Boolean false Play video only when it is visible on the screen. <MDBParallax disableVideoPlayOnlyVisible />
video String You can use Youtube, Vimeo or local videos. <MDBParallax video='https://player.vimeo.com/video/137857207' />
videoStartTime Number 0 Start time in seconds when video will be started (this value will be applied also after loop). <MDBParallax videoStartTime={0} />
videoVolume Number 0 Video volume from 0 to 100. <MDBParallax videoVolume='100' />
width String 100% Sets width of parallax container. Required when use keepImg props <MDBParallax width='200px' />
zIndex Number -100 z-index of parallax container. <MDBParallax zIndex={20} />

Angular Bootstrap Parallax

Angular Parallax - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap parallax is a design effect visible while scrolling down - background image is moving with a different speed than the foreground content.

Live demo

Required external library

Using this functionality requires the installation of an external library - jarallax. Install it with the following command, then configure it as follows:

  • npm install jarallax --save
  • Import the required files into an angular.json file,
  • Add the polyfill to the polyfills.ts file,
  • In the component in which you use Parallax effect add its initialization.

        
            
        npm install jarallax --save
      
        
    

Configuration

        
            
        "styles": [
          ...
          "node_modules/jarallax/dist/jarallax.css",
          ...
        ],
        "scripts": [
          ...
          "node_modules/jarallax/dist/jarallax.min.js",
          "node_modules/jarallax/dist/jarallax-element.min.js",
          "node_modules/jarallax/dist/jarallax-video.min.js"
          ...
        ]
      
        
    
        
            
        (window as any).global = window; // add this line at the top of the polyfills.ts file
      
        
    
        
            
        import {AfterViewInit, Component} from '@angular/core';
        import 'jarallax';
        declare var jarallax: any;
        @Component({
        selector: 'app-root',
          templateUrl: './app.component.html',
          styleUrls: ['./app.component.scss'],
        })
        export class AppComponent implements AfterViewInit {

          ngAfterViewInit() {
            jarallax(document.querySelectorAll('.jarallax'), {
              speed: 0.2
            });
          }
        }
      
        
    

Basic example MDB Pro component

        
            
          <div class="view intro jarallax"
              style="background-image: url(https://mdbootstrap.com/img/Photos/Others/img%20%2844%29.webp); background-attachment: fixed; height: 1200px;">
            <div class="full-bg-img mask rgba-white-light">
              <div class="container">
                <div class="d-flex align-items-center d-flex justify-content-center" style="height: 1200px">
                  <div class="row mt-5">
                    <div class="col-md-12 wow fadeIn mb-3">
                      <div class="intro-info-content text-center">
                        <h2 class="h1 display-1 mb-2 wow fadeInDown" data-wow-delay="0.3s">CARLA <a
                          class="indigo-text font-bold">SMITH</a>
                        </h2>
                        <h5 class="font-up mb-3 mt-1 font-bold wow fadeIn" data-wow-delay="0.4s">Web developer & graphic
                          designer</h5>
                        <a mdbBtn color="light-blue" size="lg" class="wow fadeIn waves-light" mdbWavesEffect
                          data-wow-delay="0.4s">portfolio</a>
                        <a mdbBtn color="indigo" size="lg" class="wow fadeIn waves-light" mdbWavesEffect
                          data-wow-delay="0.4s">About
                          me</a></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="container">
            <!--Grid row-->
            <div class="row">
              <!--Grid column-->
              <div class="col-md-12 text-center mb-5">
                <h2 class="h1 font-bold light-blue-text my-5">Lorem ipsum dolor sit amet, consectetur quis elit.</h2>
                <p align="justify">Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro, cumque
                  provident
                  rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet, veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.</p>
              </div>
              <!--Grid column-->
            </div>
            <!--Grid row-->
          </div>
          <div class="view intro jarallax" style="background-image: none; z-index: 0; min-height: 700px;">
            <div class="full-bg-img mask rgba-white-light">
              <div class="container flex-center">
                <div class="row mt-5 py-5">
                  <div class="col-md-12 wow fadeIn mb-3" style="animation-name: none; visibility: visible;">
                    <div class="text-center">
                      <h2 class="h1 display-2 mb-2 wow fadeInDown" data-wow-delay="0.3s">ANNA'S <a
                        class="white-text font-bold">BLOG</a>
                      </h2>
                      <h5 class="font-up mb-3 mt-1 font-bold wow fadeInDown" data-wow-delay="0.4s">Interior designer &
                        Nature
                        lover</h5>
                      <a mdbBtn color="elegant" size="lg" class="wow fadeInDown waves-effect waves-light" mdbWavesEffect
                        data-wow-delay="0.4s">portfolio</a>
                      <a mdbBtn color="white" outline="true" size="lg" class="wow fadeInDown waves-effect waves-light"
                        mdbWavesEffect data-wow-delay="0.4s">About me</a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="container">
            <!--Grid row-->
            <div class="row">
              <!--Grid column-->
              <div class="col-md-12 text-center my-5">
                <h2 class="h1 font-bold grey-text mb-5">Lorem ipsum dolor sit amet, consectetur quis elit.</h2>
                <p align="justify">Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro, cumque
                  provident
                  rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet, veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.</p>
              </div>
              <!--Grid column-->
            </div>
            <!--Grid row-->
          </div>
          <div class="view intro jarallax"
              style="background-image: url(https://mdbootstrap.com/img/Photos/Others/food2.webp); background-attachment: fixed; background-size: cover; min-height: 700px">
            <div class="full-bg-img mask rgba-pink-slight">
            </div>
          </div>
          <div class="view intro jarallax"
              style="background-image: url(https://mdbootstrap.com/img/Photos/Others/background.webp); background-attachment: fixed; min-height: 700px">
            <div class="full-bg-img mask rgba-purple-slight">
              <div class="container">
                <div class="d-flex align-items-center d-flex justify-content-center" style="height: 700px">
                  <div class="row mt-5">
                    <div class="col-md-12 wow fadeIn mb-3">
                      <div class="intro-info-content text-center">
                        <h2 class="h1 display-1 white-text mb-2 wow fadeInDown" data-wow-delay="0.3s">Welcome on my
                          page!</h2>
                        <h4 class="mb-3 mt-1 white-text font-bold wow fadeIn" data-wow-delay="0.4s">Lorem ipsum dolor sit
                          amet</h4>
                        <a mdbBtn color="pink" class="wow fadeIn waves-light" mdbWavesEffect data-wow-delay="0.4s">Read
                          more</a>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="container">
            <!--Grid row-->
            <div class="row">
              <!--Grid column-->
              <div class="col-md-12 text-center my-5">
                <h2 class="h1 font-bold pink-text mb-5">Lorem ipsum dolor sit amet, consectetur quis elit.</h2>
                <p align="justify">Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro, cumque
                  provident
                  rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet, veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.Lorem ipsum dolor sit amet, consectetur quis elit. Perspiciatis commodi porro,
                  cumque
                  provident rem corporis odit, ut quas dolores maxime nesciunt possimus quis, soluta velit debitis amet,
                  veritatis
                  cupiditate reprehenderit.</p>
              </div>
              <!--Grid column-->
            </div>
            <!--Grid row-->
          </div>
        
        
    

Video Parallax with *ngIf

Live Demo
        
            
          <div *ngIf="statement">
            <div class="jarallax jarallax-my-video">
              <div class="full-bg-img mask rgba-white-light">
                <div class="container">
                  <div
                    class="d-flex align-items-center d-flex justify-content-center"
                    style="height: 1200px"
                  >
                    <div class="row mt-5">
                      <div class="col-md-12 wow fadeIn mb-3">
                        <div class="intro-info-content text-center">
                          <h2
                            class="h1 display-1 mb-2 wow fadeInDown"
                            data-wow-delay="0.3s"
                          >
                            CARLA <a class="indigo-text font-bold">SMITH</a>
                          </h2>
                          <h5
                            class="font-up mb-3 mt-1 font-bold wow fadeIn"
                            data-wow-delay="0.4s"
                          >
                            Web developer & graphic designer
                          </h5>
                          <a
                            mdbBtn
                            color="light-blue"
                            size="lg"
                            class="wow fadeIn waves-light"
                            mdbWavesEffect
                            data-wow-delay="0.4s"
                            >portfolio</a
                          >
                          <a
                            mdbBtn
                            color="indigo"
                            size="lg"
                            class="wow fadeIn waves-light"
                            mdbWavesEffect
                            data-wow-delay="0.4s"
                            >About me</a
                          >
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div
            class="container text-center justify-content-center py-5"
            *ngIf="!statement"
          >
            <div class="row">
              <div class="col-sm-12">
                <button
                  type="button"
                  mdbBtn
                  color="primary"
                  (click)="changeStatement()"
                  mdbWavesEffect
                >
                  click to show video parallax
                </button>
              </div>
            </div>
          </div>
        
        
    
        
            
          import { Component, ChangeDetectorRef } from '@angular/core';
          import 'jarallax';
          declare var jarallax: any;

          @Component({
            selector: 'app-video-parallax',
            templateUrl: './video-parallax.component.html',
            styleUrls: ['./video-parallax.component.scss']
          })
          export class VideoParallaxComponent {
            statement = false;

            constructor(private changeDetector: ChangeDetectorRef) {}

            setVideo() {
              jarallax(document.querySelectorAll('.jarallax-my-video'), {
                speed: 0.2,
                videoSrc: 'https://vimeo.com/groups/freehd/videos/153749650'
              });
            }

            changeStatement() {
              this.statement = true;
              this.changeDetector.detectChanges();
              this.setVideo();
            }
          }